Subject: Questions on your ZmySQLDA Tutorial
From: Don Undeen <[email-masked]>
To: [email-masked]
Date: Wed, 12 Jan 2000 12:25:04 -0500

Hello Mr. Pogrebinschi,
    Let me start by thanking you for teh helpful tutorial on getting
ZMySQLDA up and running with Zope. I'm having some troubles, though, and
was hoping you could provide some insite.
Background:
1. Fresh install of Redhat 6.1
2. Installed Python from source, and copied over the  python that Redhat
automatically installed.
3. Installed MySQL, which I unpacked in directory /usr/local/APPS
4. Installed Zope. expanded in directory /usr/local/APPS/
5. expanded ZMySQLDA in top level Zope Directory. It expanded into
[Zope-dir]/lib/python/Products, just as you said.
6. Unpacked MySQLdb in the Products Directory
7. Edited the Setup.in file, changing the line
_mysql _mysqlmodule.c -L/usr/lib/mysql -I/usr/include/mysql
-lmysqlclient
to:
_mysql _mysqlmodule.c -L/usr/local/lib/mysql -I/usr/local/include/mysql
-lmysqlclient

which is where those directories are.

The Problem:
When I run "python build.py" i get the following error

gcc -fpic  -I/usr/local/include/mysql -g -O2 -I/usr/include/python1.5
-I/usr/include/python1.5 -DHAVE_CONFIG_H -c ./_mysqlmodule.c
gcc -shared  _mysqlmodule.o  -L/usr/local/lib/mysql -lmysqlclient -o
_mysqlmodule.so
Traceback (innermost last):
  File "build.py", line 14, in ?
    import MySQLdb
  File "MySQLdb.py", line 19, in ?
    from _mysql import *
ImportError: libmysqlclient.so.6: cannot open shared object file: No
such file or directory

that file,  libmysqlclient.so.6, is in /usr/local/lib/mysql
it's also in /usr/local/APPS/mysql-3.22.29/client/.libs/

are there other paths that I can edit so that this file is found?
Or perhaps you have some other insite as to the nature of this problem?
any help you could give would be greatly appreciated.

Thanks again for your work.
Don Undeen
[email-masked]